@import 'global';

.bouton {
    position: relative;
    display: block;
    margin: 0 auto;
    width: fit-content;
    padding: 8px 16px;
    border-radius: 14px;
    background-color: $blanc;
    border: 2px solid $blanc;
    color: $couleur_primaire;
    font-weight: bold;
    text-align: center;
    overflow: hidden;
    z-index: 0;
    transition: 0.5s ease-in-out;
    @include max767 {
        font-size: 12px;
        padding: 8px 12px;
    }
    cursor: pointer;
    opacity: 1;
    &.disabled {
        opacity: 0.7;
        cursor: default;
    }
    span {
        position: absolute;
        width: 25%;
        height: 100%;
        background-color: $couleur_primaire;
        transform: translateY(150%);
        border-radius: 50%;
        left: calc((var(--n) - 1) * 25%);
        transition: 0.5s;
        transition-delay: calc((var(--n) - 1) * 0.1s);
        z-index: -1;
        &:nth-child(1) {
            --n: 1;
        }
        &:nth-child(2) {
            --n: 2;
        }
        &:nth-child(3) {
            --n: 3;
        }
        &:nth-child(4) {
            --n: 4;
        }
    }
    &:hover {
        color: $blanc;
        span {
            transform: translateY(0) scale(2);
        }
    }
}